Package org.springframework.security.config.annotation.web.servlet.configuration

# Class WebMvcSecurityConfiguration

java.lang.Object
org.springframework.security.config.annotation.web.servlet.configuration.WebMvcSecurityConfiguration

All Implemented Interfaces:
  `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

@Deprecated @Configuration(proxyBeanMethods=false) @EnableWebSecurity public class WebMvcSecurityConfiguration extends Object implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer
Deprecated.
This is applied internally using SpringWebMvcImportSelector
Used to add a `RequestDataValueProcessor` for Spring MVC and Spring Security CSRF integration. This configuration is added whenever `EnableWebMvc` is added by SpringWebMvcImportSelector and the DispatcherServlet is present on the classpath. It also adds the `AuthenticationPrincipalArgumentResolver` as a `HandlerMethodArgumentResolver`.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`WebMvcSecurityConfiguration()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addArgumentResolvers(List<org.springframework.web.method.support.HandlerMethodArgumentResolver> argumentResolvers)`
Deprecated.
`org.springframework.web.servlet.support.RequestDataValueProcessor`
`requestDataValueProcessor()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.config.annotation.WebMvcConfigurer

`addCorsMappings, addErrorResponseInterceptors, addFormatters, addInterceptors, addResourceHandlers, addReturnValueHandlers, addViewControllers, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configurePathMatch, configureViewResolvers, extendHandlerExceptionResolvers, extendMessageConverters, getMessageCodesResolver, getValidator`

## Constructor Details

### WebMvcSecurityConfiguration

public WebMvcSecurityConfiguration()
Deprecated.

## Method Details

### addArgumentResolvers

public void addArgumentResolvers(List<org.springframework.web.method.support.HandlerMethodArgumentResolver> argumentResolvers)
Deprecated.

Specified by:
  `addArgumentResolvers` in interface `org.springframework.web.servlet.config.annotation.WebMvcConfigurer`

### requestDataValueProcessor

@Bean public org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor()
Deprecated.